{ "meta": { "totalItems": 2 }, "collections": [ { "id": 411, "name": "Staging Markets", "description": "A collection of all unverified markets; this is the default location for all new markets.", "createdDate": "2022-12-11T10:09:08.000Z", "isDefault": 1 }, { "id": 123, "name": "Verified Market Archives", "description": "A collection of all manually validated markets.", "createdDate": "2022-01-01T02:03:04.000Z", "isDefault": 0 } ]}
Markets
Market Collections
Get all the collections that the current user is allowed to access.
GET
/
markets
/
collections
Market Collections
curl --request GET \ --url https://api.forestreet.com/markets/collections
{ "meta": { "totalItems": 2 }, "collections": [ { "id": 411, "name": "Staging Markets", "description": "A collection of all unverified markets; this is the default location for all new markets.", "createdDate": "2022-12-11T10:09:08.000Z", "isDefault": 1 }, { "id": 123, "name": "Verified Market Archives", "description": "A collection of all manually validated markets.", "createdDate": "2022-01-01T02:03:04.000Z", "isDefault": 0 } ]}
A user can include markets in a market collection to categorise their list of markets they have access to. Any market
can only exists in a single collection at a time, and each user starts with a default collection that all markets will
belong to by default.Collections are useful for users to group markets together for specific purposes, for example:
markets that are generated for a specific project,
markets that are reviewed by QA team,
markets that are archived due to change in business needs.
This endpoints return all the collections that the user API Key has permission to access. Use this endpoint to fetch the
collection desired, before using the collectionId query parameter in selected endpoints to filter your results to the
given collection.
{ "meta": { "totalItems": 2 }, "collections": [ { "id": 411, "name": "Staging Markets", "description": "A collection of all unverified markets; this is the default location for all new markets.", "createdDate": "2022-12-11T10:09:08.000Z", "isDefault": 1 }, { "id": 123, "name": "Verified Market Archives", "description": "A collection of all manually validated markets.", "createdDate": "2022-01-01T02:03:04.000Z", "isDefault": 0 } ]}
The creation date of the collection in ISO 8601 format.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Forestreet Documentation","colors":{"primary":"#0f62fe","light":"#0f62fe","dark":"#0f62fe"},"logo":{"light":"https://mintcdn.com/forestreet/bIVkQ4GpCRS8XyuT/logo/light.svg?fit=max\u0026auto=format\u0026n=bIVkQ4GpCRS8XyuT\u0026q=85\u0026s=bb2088ad5c6417fe9c8a2dab698d078b","dark":"https://mintcdn.com/forestreet/bIVkQ4GpCRS8XyuT/logo/dark.svg?fit=max\u0026auto=format\u0026n=bIVkQ4GpCRS8XyuT\u0026q=85\u0026s=8eb2a2e532744e3268f23f81b8ea2c5f"},"favicon":"https://mintcdn.com/forestreet/pahclZuClwwwBpfa/logo/favicon.png?fit=max\u0026auto=format\u0026n=pahclZuClwwwBpfa\u0026q=85\u0026s=add91905c589606383cb1c7bd7e664bf","background":{"color":{"dark":"#0f1726"}},"navbar":{"links":[{"href":"https://forestreet.com/contact-us","label":"Contact Us"}],"primary":{"type":"button","label":"Platform","href":"https://ailsa.forestreet.com"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"forestreet","hasAudioNarration":false,"actualSubdomain":"forestreet","customDomains":["docs.forestreet.com"],"gitSource":{"type":"github","owner":"forestreet","repo":"forestreet-api","deployBranch":"main","contentDirectory":"docs/mintlify","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adf4523ad3ed130d8d75e16","collectionId":"a0edc361-90e6-4167-b91e-12d6d79eeb0a","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adf4523ad3ed130d8d75e16"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6adf4523ad3ed130d8d75e16","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Reference","count":49},{"language":"default","tag":"V1 (Deprecated)","count":24},{"language":"default","tag":"Market Intelligence","count":19},{"language":"default","tag":"Team Management","count":16},{"language":"default","tag":"Markets","count":14},{"language":"default","tag":"Market","count":11},{"language":"default","tag":"Companies","count":7},{"language":"default","tag":"Deprecated","count":5},{"language":"default","tag":"Discovery Process","count":5},{"language":"default","tag":"Supplier Dossier","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/deprecated/v1/markets/collections","slug":"/api-reference/deprecated/v1/markets/collections","pageMetadata":{"title":"Market Collections","api":"GET https://api.forestreet.com/markets/collections","description":"Get all the collections that the current user is allowed to access.","href":"/api-reference/deprecated/v1/markets/collections"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Get all the collections that the current user is allowed to access.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Expandable,Heading,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`A user can include markets in a market collection to categorise their list of markets they have access to. Any market\ncan only exists in a single collection at a time, and each user starts with a default collection that all markets will\nbelong to by default.`}),`\n`,_jsx(_components.p,{children:`Collections are useful for users to group markets together for specific purposes, for example:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`markets that are generated for a specific project,`}),`\n`,_jsx(_components.li,{children:`markets that are reviewed by QA team,`}),`\n`,_jsx(_components.li,{children:`markets that are archived due to change in business needs.`}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`This endpoints return all the collections that the user API Key has permission to access. Use this endpoint to fetch the\ncollection desired, before using the `,_jsx(_components.code,{children:`collectionId`}),` query parameter in selected endpoints to filter your results to the\ngiven collection.`]}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,`\n`,_jsxs(ResponseField,{name:`meta`,type:`object`,id:`param-meta`,children:[_jsx(_components.p,{children:`Pagination details and metadata about the search results.`}),_jsx(Expandable,{title:`meta`,children:_jsx(ResponseField,{name:`totalItems`,type:`number`,id:`param-total-items`,children:_jsx(_components.p,{children:`The total number of collections returned by this endpoint.`})})})]}),`\n`,_jsxs(ResponseField,{name:`collections`,type:`array`,id:`param-collections`,children:[_jsx(_components.p,{children:`An array of collections.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Default endpoint will always be the first item`}),`, with the rest sorted by their\n*creation dates in ascending order.`]}),_jsxs(Expandable,{title:`collection`,children:[_jsx(_components.p,{children:`Represents a single collection.`}),_jsxs(ResponseField,{name:`id`,type:`number`,id:`param-id`,children:[_jsx(_components.p,{children:`The ID of the collection.`}),_jsxs(_components.p,{children:[`This is the ID to be used as `,_jsx(_components.code,{children:`collectionId`}),` in selected endpoints.`]})]}),_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`The name of the collection.`})}),_jsx(ResponseField,{name:`description`,type:`string`,id:`param-description`,children:_jsx(_components.p,{children:`The description of the collection.`})}),_jsx(ResponseField,{name:`createdDate`,type:`time`,id:`param-created-date`,children:_jsx(_components.p,{children:`The creation date of the collection in ISO 8601 format.`})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Market Collections","api":"GET https://api.forestreet.com/markets/collections","description":"Get all the collections that the current user is allowed to access.","href":"/api-reference/deprecated/v1/markets/collections"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`A user can include markets in a market collection to categorise their list of markets they have access to. Any market\ncan only exists in a single collection at a time, and each user starts with a default collection that all markets will\nbelong to by default.`}),`\n`,_jsx(_components.p,{children:`Collections are useful for users to group markets together for specific purposes, for example:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`markets that are generated for a specific project,`}),`\n`,_jsx(_components.li,{children:`markets that are reviewed by QA team,`}),`\n`,_jsx(_components.li,{children:`markets that are archived due to change in business needs.`}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`This endpoints return all the collections that the user API Key has permission to access. Use this endpoint to fetch the\ncollection desired, before using the `,_jsx(_components.code,{children:`collectionId`}),` query parameter in selected endpoints to filter your results to the\ngiven collection.`]}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:``,numberOfLines:`21`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`21`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"meta\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"totalItems\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"collections\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`411`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Staging Markets\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"A collection of all unverified markets; this is the default location for all new markets.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"createdDate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2022-12-11T10:09:08.000Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isDefault\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`123`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Verified Market Archives\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"A collection of all manually validated markets.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"createdDate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2022-01-01T02:03:04.000Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isDefault\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsxs(ResponseField,{name:`meta`,type:`object`,id:`param-meta`,children:[_jsx(_components.p,{children:`Pagination details and metadata about the search results.`}),_jsx(Expandable,{title:`meta`,children:_jsx(ResponseField,{name:`totalItems`,type:`number`,id:`param-total-items`,children:_jsx(_components.p,{children:`The total number of collections returned by this endpoint.`})})})]}),`\n`,_jsxs(ResponseField,{name:`collections`,type:`array`,id:`param-collections`,children:[_jsx(_components.p,{children:`An array of collections.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Default endpoint will always be the first item`}),`, with the rest sorted by their\n*creation dates in ascending order.`]}),_jsxs(Expandable,{title:`collection`,children:[_jsx(_components.p,{children:`Represents a single collection.`}),_jsxs(ResponseField,{name:`id`,type:`number`,id:`param-id`,children:[_jsx(_components.p,{children:`The ID of the collection.`}),_jsxs(_components.p,{children:[`This is the ID to be used as `,_jsx(_components.code,{children:`collectionId`}),` in selected endpoints.`]})]}),_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`The name of the collection.`})}),_jsx(ResponseField,{name:`description`,type:`string`,id:`param-description`,children:_jsx(_components.p,{children:`The description of the collection.`})}),_jsx(ResponseField,{name:`createdDate`,type:`time`,id:`param-created-date`,children:_jsx(_components.p,{children:`The creation date of the collection in ISO 8601 format.`})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Market Collections","api":"GET https://api.forestreet.com/markets/collections","description":"Get all the collections that the current user is allowed to access.","href":"/api-reference/deprecated/v1/markets/collections"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Response","slug":"response","depth":3,"children":[]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"21\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"meta\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"totalItems\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">2\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"collections\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">411\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Staging Markets\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"A collection of all unverified markets; this is the default location for all new markets.\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"createdDate\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2022-12-11T10:09:08.000Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"isDefault\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">123\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Verified Market Archives\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"A collection of all manually validated markets.\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"createdDate\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2022-01-01T02:03:04.000Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"isDefault\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Market Collections","path":"/markets/collections","servers":[{"url":"https://api.forestreet.com"}],"method":"get","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"meta":[{"type":"object","properties":{"totalItems":[{"type":"number","description":"The total number of collections returned by this endpoint."}]},"description":"Pagination details and metadata about the search results."}],"collections":[{"type":"array","items":[{"type":"object","properties":{"id":[{"type":"number","description":"The ID of the collection. This is the ID to be used as `collectionId` in selected endpoints."}],"name":[{"type":"string","description":"The name of the collection."}],"description":[{"type":"string","description":"The description of the collection."}],"createdDate":[{"type":"object","properties":{},"description":"The creation date of the collection in ISO 8601 format."}]}}],"description":"An array of collections. Default endpoint will always be the first item , with the rest sorted by their *creation dates in ascending order."}]}}],"examples":{"example":{"value":{"meta":{"totalItems":123},"collections":[{"id":123,"name":"\u003cstring>","description":"\u003cstring>","createdDate":{}}]}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"forestreet","siteName":"Forestreet Documentation","title":"Market Collections - Forestreet Documentation","navMaps":{"firstHrefInVersion":{"2.0":{"href":"/api-reference/introduction","matchLevel":3},"1.0 (Deprecated)":{"href":"/api-reference/deprecated/v1/markets/collections","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2025-11-30T09:13:24.646Z","originalFileLocation":"api-reference/deprecated/v1/markets/collections.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Get all the collections that the current user is allowed to access.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Forestreet Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/forestreet/CQ9RrLPrT2waDRGc/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/forestreet/CQ9RrLPrT2waDRGc/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/forestreet/CQ9RrLPrT2waDRGc/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/forestreet/CQ9RrLPrT2waDRGc/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/forestreet/CQ9RrLPrT2waDRGc/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/forestreet/CQ9RrLPrT2waDRGc/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/forestreet/CQ9RrLPrT2waDRGc/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/forestreet/CQ9RrLPrT2waDRGc/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/forestreet/CQ9RrLPrT2waDRGc/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Market Collections - Forestreet Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Get all the collections that the current user is allowed to access.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Forestreet Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.forestreet.com/api-reference/deprecated/v1/markets/collections\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://forestreet.mintlify.app/_mintlify/api/og/v2?division=Markets\u0026amp;title=Market+Collections\u0026amp;description=Get+all+the+collections+that+the+current+user+is+allowed+to+access.\u0026amp;theme=39e273b6298b329ca9959274\u0026amp;signature=652e53670611a907c1d8d840ba3040ad70820eeff0c647b8479826c401513897\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Market Collections - Forestreet Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Get all the collections that the current user is allowed to access.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://forestreet.mintlify.app/_mintlify/api/og/v2?division=Markets\u0026amp;title=Market+Collections\u0026amp;description=Get+all+the+collections+that+the+current+user+is+allowed+to+access.\u0026amp;theme=39e273b6298b329ca9959274\u0026amp;signature=652e53670611a907c1d8d840ba3040ad70820eeff0c647b8479826c401513897\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/forestreet/CQ9RrLPrT2waDRGc/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Forestreet Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0f62fe\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.forestreet.com/api-reference/deprecated/v1/markets/collections\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/deprecated/v1/markets/collections.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.forestreet.com/#organization\",\"name\":\"Forestreet Documentation\",\"url\":\"https://docs.forestreet.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/forestreet/bIVkQ4GpCRS8XyuT/logo/light.svg?fit=max\u0026auto=format\u0026n=bIVkQ4GpCRS8XyuT\u0026q=85\u0026s=bb2088ad5c6417fe9c8a2dab698d078b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.forestreet.com#website\",\"name\":\"Forestreet Documentation\",\"url\":\"https://docs.forestreet.com\",\"publisher\":{\"@id\":\"https://docs.forestreet.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.forestreet.com/api-reference/deprecated/v1/markets/collections#webpage\",\"url\":\"https://docs.forestreet.com/api-reference/deprecated/v1/markets/collections\",\"name\":\"Market Collections\",\"description\":\"Get all the collections that the current user is allowed to access.\",\"dateModified\":\"2025-11-30T09:13:24.646Z\",\"isPartOf\":{\"@id\":\"https://docs.forestreet.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.forestreet.com/api-reference/deprecated/v1/markets/collections#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.forestreet.com/api-reference/deprecated/v1/markets/collections#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"V1 (Deprecated)\",\"item\":\"https://docs.forestreet.com/api-reference/deprecated/v1/index\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Market Collections\",\"item\":\"https://docs.forestreet.com/api-reference/deprecated/v1/markets/collections\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.forestreet.com/api-reference/deprecated/v1/markets/collections#apireference\",\"headline\":\"Market Collections\",\"name\":\"Market Collections\",\"description\":\"Get all the collections that the current user is allowed to access.\",\"url\":\"https://docs.forestreet.com/api-reference/deprecated/v1/markets/collections\",\"mainEntityOfPage\":{\"@id\":\"https://docs.forestreet.com/api-reference/deprecated/v1/markets/collections#webpage\"},\"dateModified\":\"2025-11-30T09:13:24.646Z\",\"publisher\":{\"@id\":\"https://docs.forestreet.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.forestreet.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Forestreet Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Forestreet Documentation","nav":{"global":null,"versions":[{"version":"2.0","pages":[{"title":"2.0","href":"/api-reference/introduction"}]},{"version":"1.0 (Deprecated)","groups":[{"group":"V1 (Deprecated)","icon":"clock-rotate-left","pages":[{"title":"About API V1","href":"/api-reference/deprecated/v1"},{"group":"Discover","pages":[{"title":"Start Discovery","api":"POST https://api.forestreet.com/markets/discover","href":"/api-reference/deprecated/v1/discover/market/discover"},{"title":"Status","api":"GET https://api.forestreet.com/markets/{marketId}/status","href":"/api-reference/deprecated/v1/discover/market/status"},{"title":"Keywords","href":"/api-reference/deprecated/v1/discover/market/keywords"},{"group":"Deprecated","icon":"triangle-exclamation","pages":[{"title":"Quick Search","api":"POST https://api.forestreet.com/markets/discover/search","href":"/api-reference/deprecated/v1/discover/market/search"},{"title":"Quick Search Status","api":"GET https://api.forestreet.com/markets/discover/search/:searchId","description":"This endpoint returns the status and results of a search","href":"/api-reference/deprecated/v1/discover/market/searchStatus"}]}]},{"group":"Markets","pages":[{"title":"Market Collections","api":"GET https://api.forestreet.com/markets/collections","href":"/api-reference/deprecated/v1/markets/collections"},{"title":"Search Existing Markets","api":"POST https://api.forestreet.com/markets/search","description":"Search the list of available markets.","href":"/api-reference/deprecated/v1/markets/search"},{"title":"Suggest Market Name","api":"POST https://api.forestreet.com/markets/suggest","href":"/api-reference/deprecated/v1/markets/suggest"},{"group":"Market","icon":"shop","pages":[{"title":"ESG","api":"POST https://api.forestreet.com/markets/{marketId}/esg","href":"/api-reference/deprecated/v1/market/esg"},{"title":"Export CSV","api":"POST https://api.forestreet.com/markets/{marketId}/export-csv","href":"/api-reference/deprecated/v1/market/export-csv"},{"title":"News","api":"POST https://api.forestreet.com/markets/{marketId}/news","href":"/api-reference/deprecated/v1/market/news"},{"title":"Topics","api":"POST https://api.forestreet.com/markets/{marketId}/topics","href":"/api-reference/deprecated/v1/market/topics"},{"title":"Features","api":"GET https://api.forestreet.com/markets/{marketId}/features","href":"/api-reference/deprecated/v1/market/features"},{"group":"Companies","icon":"building","pages":[{"title":"Attributes","api":"POST https://api.forestreet.com/markets/{marketId}/companies/attributes","href":"/api-reference/deprecated/v1/market/companies/attributes"},{"title":"Companies","api":"POST https://api.forestreet.com/markets/{marketId}/companies","href":"/api-reference/deprecated/v1/market/companies/companies"},{"title":"Locations","api":"POST https://api.forestreet.com/markets/{marketId}/companies/locations","href":"/api-reference/deprecated/v1/market/companies/locations"},{"group":"Deprecated","icon":"triangle-exclamation","pages":[{"title":"Countries","api":"GET https://api.forestreet.com/markets/{marketId}/companies/countries","href":"/api-reference/deprecated/v1/market/companies/countries"},{"title":"Diversity Certifications","api":"GET https://api.forestreet.com/markets/{marketId}/companies/diversity","href":"/api-reference/deprecated/v1/market/companies/diversity"},{"title":"NAICS Codes","api":"GET https://api.forestreet.com/markets/{marketId}/companies/naics","href":"/api-reference/deprecated/v1/market/companies/naics"}]}]}]}]},{"group":"Companies","pages":[{"title":"Search","api":"POST https://api.forestreet.com/companies/search","href":"/api-reference/deprecated/v1/companies/search"}]},{"group":"Projects","pages":[{"title":"Create Project","api":"POST https://api.forestreet.com/projects","href":"/api-reference/deprecated/v1/projects/create"}]},{"group":"Users","pages":[{"title":"Management Accounts","icon":"handshake","href":"/api-reference/deprecated/v1/users/default"},{"title":"List all Managed Users","api":"GET https://api.forestreet.com/users/managed","href":"/api-reference/deprecated/v1/users/managed"},{"title":"User Activities","api":"GET https://api.forestreet.com/users/activities","href":"/api-reference/deprecated/v1/users/activities"}]}]}]}]},"basePath":"","title":"Market Collections - Forestreet Documentation","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js"]}